import request from '@/utils/request'

// 查询全国平均成绩列表
export function listTestItemCountryScore(query) {
    return request({
        url: '/system/testItemCountryScore/list',
        method: 'get',
        params: query
    })
}



// 回显
export function getItemCountryScoreInfo(query) {
    return request({
        url: '/system/testItemCountryScore/getItemCountryScoreInfo',
        method: 'get',
        params: query
    })
}

// 查询项目列表
export function testItemslist(query) {
    return request({
        url: '/system/testItems/list',
        method: 'get',
        params: query
    })
}
// 查询全国平均成绩详细
export function getTestItemCountryScore(id) {
    return request({
        url: '/system/testItemCountryScore/' + id,
        method: 'get'
    })
}

// 新增全国平均成绩
export function addTestItemCountryScore(data) {
    return request({
        url: '/system/testItemCountryScore/add',
        method: 'post',
        data: data
    })
}

// 修改全国平均成绩
export function updateTestItemCountryScore(data) {
    return request({
        url: '/system/testItemCountryScore/edit',
        method: 'post',
        data: data
    })
}

// 删除全国平均成绩
export function delTestItemCountryScore(id) {
    return request({
        url: '/system/testItemCountryScore/' + id,
        method: 'delete'
    })
}